it-swarm-ja.com

コマンドラインでNode.jsのバージョン? (REPLではありません)

コマンドラインでnode.jsのバージョンを取得したい - 以下のようなコマンドを実行することを期待しています

node -version

しかし、それはうまくいきません。誰かがコマンドラインがどうなるか知っていますか? (すなわちREPLではありません)

450
hawkeye

そのためのコマンドラインは次のとおりです。

node -v

または

node --version

注意:

もしnode -vが動かなくてもnodejs -vが動かなければ、何かはあなたのシステム上では正しく設定されていません。それを修正する方法については この他の質問 を見てください。

847
JohnnyHK

シェルのコマンドラインを参照している場合は、次のいずれかが機能します。

node -v

node --version

node versionと入力するだけでnode.jsはversionという名前のモジュールをロードしようとしますが、混乱したモジュール名で作業しない限り存在しません。

69
Austin Mullins

nodejsだけでなくnodeを試してください。

$ nodejs -v
v0.10.25
35
Srilu

ノード

node --versionまたはnode -v

npm

npm --versionまたはnpm -v

V8エンジンのバージョン

node -p process.versions.v8
11
Drunken Master

インストールされているノードのバージョンを見つけます。

$ node --version

または 

 $ node -v

もしインストールされたノードについてもっと多くの情報が欲しいなら(すなわち、ノードバージョン、v8バージョン、プラットフォーム、環境変数情報など)

それからちょうどこれをしなさい。

$ node
> process
  process {
  title: 'node',
  version: 'v6.6.0',
  moduleLoadList: 
   [ 'Binding contextify',
     'Binding natives',
     'NativeModule events',
     'NativeModule util',
     'Binding uv',
     'NativeModule buffer',
     'Binding buffer',
     'Binding util',
     ...

ここで、プロセスオブジェクトは、現在のNode.jsプロセスに関する情報を提供し、それを制御するグローバルです。

7
SrmHitter9062

コマンドプロンプトをチェックインしたい場合は、node -vまたはnode --versionを使用してください。 

v6.9.5

あなたがnode.exeを持っているならそれからあなたはノードで与えることができます。

>process
process {
  title: 'node',
  version: 'v6.9.5',
  .......
7
user6097020

次のように入力して、NodeとNpmがインストールされているかどうかを確認できます。

$node --version && npm --version

5
Neeraj Kumar

デフォルトではノードパッケージはnodejsです。 

$ nodejs -v

または

$ nodejs --version 

あなたが使用してリンクを作ることができます

$ Sudo ln -s /usr/bin/nodejs /usr/bin/node

それからあなたは使うことができます 

$ node --version

または 

$ node -v
5
Jatin Malwal

Nodejsのバージョンを確認するためのReplコマンド

$node
>process.version
`v8.x`
5
muthukumar

Atomエディタを使用している場合の便利なヒント。 

$ apm -v
apm  1.12.5
npm  3.10.5
node 4.4.5
python 2.7.12
git 2.7.4

それはあなたにノードのバージョンだけでなく、他のいくつかのものも返します。

1
prosti

コマンドラインにnpm versionと入力するだけで、node、npm、v8エンジンなどに関するすべてのバージョン詳細が表示されます。

enter image description here

0
Himanshu

Debian Stretchを実行しているArm7(armhf)デバイスで、私は以下のいずれかを発行しなければなりませんでした。

$ nodejs -v
$ nodejs -h

以下はうまくいきませんでした。

$ node -v
$ node -h
$ apm -v

これが他の人に役立つことを願っています。

0
Fiddy Bux